package com.hc.gpbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.gpbusiness.model.WebUser;
import org.springframework.stereotype.Component;


/**
 * 用户表(User)表服务接口
 *
 * @author java
 * @since 2020-07-29 16:23:12
 */

@Component
public interface WebUserService {

    /**
     * 通过ID查询单条数据
     *
     * @param userId 主键
     * @return 实例对象
     */
    WebUser queryById(Integer userId);

    /**
     * 新增数据
     *
     * @param user 实例对象
     * @return 实例对象
     */
    WebUser insert(WebUser user);

    /**
     * 修改数据
     *
     * @param user 实例对象
     * @return 实例对象
     */
    WebUser update(WebUser user);

    /**
     * 通过主键删除数据
     *
     * @param userId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer userId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}